<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="vm"
            type="com.stolbunov.roman.notes.ui.screens.editor.DateDialogFragmentViewModel" />

    </data>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/back_date_dialog"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatButton
                    style="@style/Widget.AppCompat.Button.Borderless"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:onClick="@{v -> vm.showDatePicker()}"
                    android:text="@string/date" />

                <View
                    android:layout_width="2dp"
                    android:layout_height="match_parent"
                    android:background="@color/colorBackgroundItemValid" />

                <androidx.appcompat.widget.AppCompatButton
                    android:id="@+id/time"
                    style="@style/Widget.AppCompat.Button.Borderless"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:onClick="@{v -> vm.showTimePicker()}"
                    android:text="@string/time" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="2dp"
                android:background="@color/colorBackgroundItemValid" />

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1"
                android:padding="2dp">

                <DatePicker
                    android:id="@+id/datePicker"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:isVisible="@{vm.isShowDatePicker}" />

                <TimePicker
                    android:id="@+id/timePicker"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:isVisible="@{vm.isShowTimePicker}"
                    tools:visibility="gone"/>
            </FrameLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end|bottom"
            android:layout_marginTop="4dp"
            android:orientation="horizontal">

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/cancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="4dp"
                android:background="@drawable/back_date_dialog_rounded_bottom_button"
                android:text="@string/cancel" />

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/save"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/back_date_dialog_rounded_bottom_button"
                android:text="@string/save" />
        </LinearLayout>
    </LinearLayout>
</layout>